package org.omilab;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import io.swagger.annotations.Api;
 
@Path("/")
@Api(tags = {"scale Operation"})
public class Scaleservice {
	
	@GET
	@Path("weight")
	@Produces(MediaType.TEXT_PLAIN)
	public String getWeight() throws IOException {
		return sensorData();
	}
	
	
	private String sensorData() throws IOException {
		String s = null;
		String result = null;

        try {
        	//https://alvinalexander.com/java/edu/pj/pj010016
        	//https://www.java-forum.org/thema/mit-java-ein-python-programm-starten.178846/
            //https://praxistipps.chip.de/python-in-cmd-nutzen-so-gehts_96172
        	//https://stackoverflow.com/questions/32255018/java-io-ioexception-cannot-run-program-python-using-spark-in-pycharm-windows
        	//Process p = Runtime.getRuntime().exec("python C:\\Users\\Anna\\git\\scaleservice\\src\\main\\java\\org\\omilab\\client\\scale.py");
        	//Process p = Runtime.getRuntime().exec("python C:\\Users\\Anna\\git\\scaleservice\\src\\main\\java\\org\\omilab\\client\\scale_test.py");
        	//Process p = Runtime.getRuntime().exec("python /home/pi/software/scaleservice/src/main/java/org/omilab/client/scale_test.py");
        	Process p = Runtime.getRuntime().exec("python /home/pi/software/scaleservice/src/main/java/org/omilab/client/scale.py");
        	BufferedReader stdInput = new BufferedReader(new InputStreamReader(p.getInputStream()));

           //System.out.println("Output:\n");
            while ((s = stdInput.readLine()) != null) {
                //System.out.println(s);
                result = result + s;
            }
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(-1);
        }
        
        //System.out.println(result.substring(4, result.length()));
        return result.substring(4, result.length());
	}
}