# INFO regarding Reference
Quick code credited to Philip Whitfield  "https://github.com/underdoeg/".
I've (tatobari, BobbyLindsey) only made a few modifications on the way the captured bits are processed.

# INFO regarding Changes
I (Anna Sumereder) conducted the changes necessary for my SEMTEC project.
The code is based on the Reference mentioned before.
Especially, the comments are done by myself, in order to understand the code parts and their purpose.
I found the assembly instruction and the code here:
- https://tutorials-raspberrypi.de/raspberry-pi-waage-bauen-gewichtssensor-hx711/
        
        
The scale code has only the src folder for the code, as all additional are located in the other project


# Raspberry setup
- the raspberry has a software folder where all necessary code is located
- the raspberry is reachable via the ip: 192.168.75.31
- notice that this is only possible when the wlan is the OMiLAB lan on the computer
- a tomcat is installed as a service on port 8080 that can be used for the webservice (sudo service tomcat start/stop/restart)


# Run on Windows in Eclipse
- start eclipse and import the project
- build the project
- download and install a tomcat 8.5 server
- run the project on the tomcat
- eclipse opens the webservice in a browser automatically
- notice that there are different path on windows and linux (the windows path are commented out in the scale code)


# Run Webservice on the scale
- not all steps are necessary when the code is not changed, starting the tomcat is enough
- connect with Putty to the mBot (192.168.75.31)
- username: pi
- password: raspberry
- go to the software folder (cd software)
- and then to the scale service folder
- get the code from git (git pull)
- remove the old .war files (sudo mvn clean)
- make a new .war file (sudo mvn package)
- go back to the software folder
- copy the code to the webapps folder of the installed tomcat (cp scale.../target/scale.war apache.../webapps/)
- restart the tomcat (sudo service tomcat restart)
- open der webservice in the brower by using the ip:port/path
	browser path: 192.168.75.31:8080/scale/api/weight
	test path: 192.168.75.31:8080/scale
- notice that it can be necessary to tare/reset the scale, the instruction can be found in the scale.py file
- furthermore, it is essential to set the reference unit the the scale pi!